OpenStack Compute (Nova)

euca-describe-instances returns ImageNotFound on first run

Reported by rackerjoe on 2012-03-06
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Julien Danjou

Bug Description

On a fresh install of essex trunk after an image has been launched by some means other than the euca tools the first time that you run euca-describe-instances it fails with

ImageNotFound: Image 51962e9a-7e34-4bec-b73b-51bdd0be963b could not be found.

If you then run euca-describe-images then you can run euca-describe-instances without error

euca-describe-instances
RESERVATION r-1w0xipjb 78f135077acc47a5aed81218401fba24 default
INSTANCE i-00000001 ami-00000002 test1 test1 running 0 m1.tiny 2012-03-06T15:42:38Z nova aki-00000001 ari-00000003

affects: openstack-ci → nova
Changed in nova:
status: New → Triaged
importance: Undecided → High
milestone: none → essex-rc1
Maru Newby (maru) on 2012-03-06
Changed in nova:
assignee: nobody → Maru Newby (maru)
Thierry Carrez (ttx) wrote :

@Maru: any progress ?

Maru Newby (maru) wrote :

@Thierry: Was having trouble with devstack last week which made it hard to repro the problem. I am working on it now.

Fix proposed to branch: master
Review: https://review.openstack.org/5268

Changed in nova:
status: Triaged → In Progress
Changed in nova:
assignee: Maru Newby (maru) → Brian Waldon (bcwaldon)

Reviewed: https://review.openstack.org/5268
Committed: http://github.com/openstack/nova/commit/0929e3a289af39fc38b46c4a55db06b8888e671e
Submitter: Jenkins
Branch: master

commit 0929e3a289af39fc38b46c4a55db06b8888e671e
Author: Maru Newby <email address hidden>
Date: Mon Mar 12 23:19:16 2012 -0700

    Refactor glance id<->internal id conversion for s3

     * Moves nova.image.s3.S3ImageService functions for converting
       between glance ('image_uuid') and internal (db) ids to ec2utils:

           get_image_id => ec2utils.glance_id_to_id
           get_image_uuid => ec2utils.id_to_glance_id

     * Refactors ec2utils.glance_id_to_id to create a new S3Image
       object associating a glance id to an internal id if such a
       mapping does not already exist. Previously, only calls to
       nova.api.ec2.cloud.CloudController.describe_images would
       add new mappings, but now any attempt to convert a glance id
       to an internal id will succeed, resolving bug 948286.

     * Adds 2 convenience methods to ec2utils, as per bcwaldon:

           ec2_id_to_glance_id
           glance_id_to_ec2_id

     * Since this is a strict refactor and only streamlines existing
       well-tested functionality, this change includes no new tests.

    Change-Id: I810afe05223228df1bcc20a0ac688d8c62c472b4

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-03-20
Changed in nova:
status: Fix Committed → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/5678

Changed in nova:
assignee: Brian Waldon (bcwaldon) → Julien Danjou (jdanjou)
status: Fix Released → In Progress
Julien Danjou (jdanjou) wrote :

https://review.openstack.org/5678 is not a fix, it's just mentioning this bug.

Changed in nova:
status: In Progress → Fix Committed
status: Fix Committed → Fix Released
Changed in nova:
status: Fix Released → In Progress

Reviewed: https://review.openstack.org/5678
Committed: http://github.com/openstack/nova/commit/668af3986888a2e2368d5d3fd01e674e849990e2
Submitter: Jenkins
Branch: master

commit 668af3986888a2e2368d5d3fd01e674e849990e2
Author: Julien Danjou <email address hidden>
Date: Thu Mar 22 14:40:10 2012 +0100

    Check that DescribeInstance works with deleted image

    This test checks that even if the image is non-existant, DescribeInstances
    returns correctly an answer and does not fails because of ImageNotFound".

    This has been the case previously (essex-4), and its now fixed with other
    another issue listed in bug #948286, but I wrote a test to be sure of that.

    Change-Id: I34df7a3fbc492f4418b2751b2b8bc527a7bbe335
    Signed-off-by: Julien Danjou <email address hidden>

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
status: Fix Committed → Fix Released
milestone: essex-rc1 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers